<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div id="menu">
    <button data-action="save">Сохранить</button>
    <button data-action="load">Загрузить</button>
    <button data-action="search">Поиск</button>
</div>

<script>

    myMap = new Map();
    myMap.set("save", function() {
        alert( 'сохраняю' );
    });
    myMap.set("search", function() {
        alert( 'ищу' );
    });
    myMap.set("load", function() {
        alert( 'загружаю' );
    });


    menu.onclick = function(event) {
        let action = event.target.dataset.action;
        let actionFunction = myMap.get(action);
        actionFunction();

//        myMap.get(event.target.dataset.action)();
    };

</script>
</body>
</html>